Subject: Re: bug#7943: white background is color #e5e5e5 in terminal window

From: Warren Harris <[email-masked]>
Date: Sat, 12 Mar 2011 16:55:13 -0800

On Sat, Mar 12, 2011 at 2:30 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Warren Harris <[email-masked]>
> > Date: Sat, 12 Mar 2011 13:46:57 -0800
> > Cc: Drew Adams <[email-masked]>, [email-masked]
> >
> > All I can say is the current behavior is quite annoying when more than 8
> > colors are available. Many colors have very low contrast against the
> grey90
> > background
>
> But that's the most white color that your terminal can produce.
> xterm.el doesn't _tell_ the terminal what color to produce for
> "white", it only _documents_ (sort of) what that color is, in terms of
> RGB components.
>

I don't think so. The terminal is perfectly "brightwhite" before emacs
starts. This is definitely an emacs bug.

>
> > and there's no way I can see to set the background to brightwhite.
>
> I don't think you can, not for the background.  But I'm not an expert
> on xterm.
>

I know that older emacs version didn't have this problem either. BTW, this
is a bug when using Apple Terminal, not xterm. xterm seems to work fine
(whether the TERM is 'xterm' or 'xterm-color').

>
> > I guess I can try and hack my xterm.el
>
> I don't see how you can, but let us know if you find a way.
>
> I'm closing this bug.  Feel free to reopen if you find a way of making
> your white "whiter".
>

The idea was to replace "white" with the correct values, 255 255 255.

Warren